Update the line items of a receivable
curl --request PUT \
--url https://api.sandbox.tesouro.com/finops/v1/receivables/{receivable_id}/line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"data": [
{
"quantity": 1073741823.5,
"accounting_tax_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_tax_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_rate_name": "<string>",
"tax_rate_value": 5000,
"tax_status": "taxable"
}
]
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/receivables/{receivable_id}/line-items"
payload = { "data": [
{
"quantity": 1073741823.5,
"accounting_tax_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_tax_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_rate_name": "<string>",
"tax_rate_value": 5000,
"tax_status": "taxable"
}
] }
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: [
{
quantity: 1073741823.5,
accounting_tax_rate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_tax_rate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tax_rate_name: '<string>',
tax_rate_value: 5000,
tax_status: 'taxable'
}
]
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/receivables/{receivable_id}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"price": {
"value": 4503599627370495
},
"price_after_tax": {
"value": 4503599627370495
},
"tax_rate": {
"country": "US",
"value": 5000,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"components": [
{
"name": "<string>",
"value": 5000
}
],
"is_custom": false,
"name": "<string>"
},
"accounting_tax_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"external_reference": "<string>",
"is_inline": false,
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"measure_unit": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
},
"smallest_amount": 1073741823.5,
"type": "product"
},
"quantity": 1073741823.5,
"total_after_tax": 123,
"total_before_tax": 123,
"discount": {
"amount": 4503599627370495
},
"tax_status": "taxable"
}
]
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Receivables
Update the line items of a receivable
Replace all line items of an existing invoice or quote with a new list of line items.
PUT
/
finops
/
v1
/
receivables
/
{receivable_id}
/
line-items
Update the line items of a receivable
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I